Graph API Version
Mailing Address
Mailing Address
A mailing address
Reading
A mailing address object
Examples
GET /v2.9/{mailing-address-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
$request = new FacebookRequest(
$session,
'GET',
'/{mailing-address-id}'
);
$response = $request->execute();
$graphObject = $response->getGraphObject();
/* handle the result *//* make the API call */
FB.api(
"/{mailing-address-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{mailing-address-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();// For more complex open graph stories, use `FBSDKShareAPI`
// with `FBSDKShareOpenGraphContent`
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{mailing-address-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Parameters
This endpoint doesn't have any parameters.
Fields
| Field | Description |
|---|---|
numeric string | The mailing address ID |
string | Address city name |
| Page representing the address city |
string | Country of the address |
string | Postal code of the address |
string | Region or state of the address |
string | Street address |
string | Second part of the street address - apt, suite, etc |
Edges
No edgesValidation Rules
| Error | Description |
|---|---|
| 100 | Invalid parameter |